# APIs

## URL and Body Structure

The typical URL and body structure adheres to the following formats:

```json
URL = [NAG URL]Circular_[Network End Point]

Body = { 
"NAGKEY":[NAG KEY], 
"TBody":[Transaction body] 
}
```

Each NAG has a unique URL. Data is sent as a JSON payload through a POST HTTPS request. The payload contains the data that the NAG will send to the blockchain Network. When successfully executed, all endpoints will respond with a Result of 200, and the Response field will provide the required data or error details in JSON format.

The NAG URL for the Testnet is: <https://nag.circularlabs.io/NAG.php?cep=>\
For the Mainnet use: [ https://nag.circularlabs.io/NAG\_Mainnet.php?cep=](< https://nag.circularlabs.io/NAG_Mainnet.php?cep=>)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://circular-protocol.gitbook.io/standard-apis/api-docs/apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
